List Skill Clusters
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 2,
"results": [
{
"external_id": "bc3a5bc9-5f44-4423-8157-520f8a2f429a",
"skill_cluster_name": "Programming Languages",
"last_updated": "2023-05-22T13:22:39.179747",
"skill_cluster_description": "Knowledge of programming languages and their use in software development."
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"skill_cluster_name": "Database Management",
"last_updated": "2023-05-22T13:22:41.165448",
"skill_cluster_description": "Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle."
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Skill Clusters
List Skill Clusters
Get a list of all Skill Clusters available in the system.
List Skill Clusters
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The maximal number of entities returned, ordered by the last_updated field and external_id.
Required range:
1 <= x <= 200Example:
50
The applied offset for returned entities, results starting from offset up to offset + limit.
Required range:
x >= 0Additional Skill Cluster info attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
Available options:
skill_cluster_description, custom_properties Example:
[
"skill_cluster_description",
"custom_properties"
]
Response
OK
Total number of Skill Cluster entities stored in the system.
Required range:
x >= 0Example:
2
Subset of Skill Clusters starting from offset up to offset + limit.
Show child attributes
Show child attributes
Example:
[
{
"external_id": "bc3a5bc9-5f44-4423-8157-520f8a2f429a",
"skill_cluster_name": "Programming Languages",
"last_updated": "2023-05-22T13:22:39.179747",
"skill_cluster_description": "Knowledge of programming languages and their use in software development."
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"skill_cluster_name": "Database Management",
"last_updated": "2023-05-22T13:22:41.165448",
"skill_cluster_description": "Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle."
}
]
Was this page helpful?
⌘I